Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
[Java] Class Upload

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.Upload

    public class Upload
    extends ConventionTask

Uploads the artifacts of a Configuration to a set of repositories.

Constructor Summary
`Upload(ArtifactPublicationServices publicationServices)`

Method Summary
`FileCollection` | `getArtifacts()` Returns the artifacts which will be uploaded.
`Configuration` | `getConfiguration()` Returns the configuration to upload.
`File` | `getDescriptorDestination()` Returns the path to generate the dependency descriptor to.
`RepositoryHandler` | `getRepositories()` Returns the repositories to upload to.
`boolean` | `isUploadDescriptor()` Specifies whether the dependency descriptor should be uploaded.
`RepositoryHandler` | `repositories(Closure configureClosure)` Configures the set of repositories to upload to.
`void` | `setConfiguration(Configuration configuration)`
`void` | `setDescriptorDestination(File descriptorDestination)`
`void` | `setUploadDescriptor(boolean uploadDescriptor)`
`protected void` | `upload()`

Constructor Detail

### Upload

    @Inject
    public Upload(ArtifactPublicationServices publicationServices)

Method Detail

### getArtifacts

    @InputFiles
    public FileCollection getArtifacts()

  Returns the artifacts which will be uploaded.
  Returns:
    the artifacts.

### getConfiguration

    public Configuration getConfiguration()

  Returns the configuration to upload.

### getDescriptorDestination

    public File getDescriptorDestination()

  Returns the path to generate the dependency descriptor to.

### getRepositories

    public RepositoryHandler getRepositories()

  Returns the repositories to upload to.

### isUploadDescriptor

    public boolean isUploadDescriptor()

  Specifies whether the dependency descriptor should be uploaded.

### repositories

    public RepositoryHandler repositories(Closure configureClosure)

  Configures the set of repositories to upload to.

### setConfiguration

    public void setConfiguration(Configuration configuration)

### setDescriptorDestination

    @SuppressWarnings("UnusedDeclaration")
    public void setDescriptorDestination(File descriptorDestination)

### setUploadDescriptor

    public void setUploadDescriptor(boolean uploadDescriptor)

### upload

    @TaskAction
    protected void upload()

Gradle API 1.10